Search or ask Docker

Export several images

GET /images/get — Docker Engine API 1.57.

View Markdown
GET/images/get

Get a tarball containing all images and metadata for several image repositories.

For each value of the names parameter: if it is a specific name and tag (e.g. ubuntu:latest), then only that image (and its parents) are returned; if it is an image ID, similarly only that image (and its parents) are returned and there would be no names referenced in the 'repositories' file for this image ID.

For details on the format, see the export image endpoint.

Connection and access

API connection and authentication guidance

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

names query

Image names to filter by. Repeat the parameter for multiple images.

Type: array

Array item

Type: string

All schema constraints and annotations
{
  "type": "string"
}
All schema constraints and annotations
{
  "items": {
    "type": "string"
  },
  "type": "array"
}

Serialization: form

platform query

JSON encoded OCI platform(s) which will be used to select the platform-specific image(s) to be saved if the image is multi-platform. If not provided, the full multi-platform image will be saved.

Example: {"os": "linux", "architecture": "arm", "variant": "v5"}

Type: array

Array item

Type: string

All schema constraints and annotations
{
  "type": "string"
}
All schema constraints and annotations
{
  "items": {
    "type": "string"
  },
  "type": "array"
}

Serialization: form

Request and responses

Response 200

no error

application/x-tar

Type: string

All schema constraints and annotations
{
  "format": "binary",
  "type": "string"
}

Response 500

server error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/ErrorResponse

Complete operation contract
{
  "description": "Get a tarball containing all images and metadata for several image\nrepositories.\n\nFor each value of the `names` parameter: if it is a specific name and\ntag (e.g. `ubuntu:latest`), then only that image (and its parents) are\nreturned; if it is an image ID, similarly only that image (and its parents)\nare returned and there would be no names referenced in the 'repositories'\nfile for this image ID.\n\nFor details on the format, see the [export image endpoint](#operation/ImageGet).\n",
  "operationId": "ImageGetAll",
  "parameters": [
    {
      "description": "Image names to filter by. Repeat the parameter for multiple images.",
      "explode": true,
      "in": "query",
      "name": "names",
      "schema": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "style": "form"
    },
    {
      "description": "JSON encoded OCI platform(s) which will be used to select the\nplatform-specific image(s) to be saved if the image is\nmulti-platform. If not provided, the full multi-platform image\nwill be saved.\n\nExample: `{\"os\": \"linux\", \"architecture\": \"arm\", \"variant\": \"v5\"}`\n",
      "explode": true,
      "in": "query",
      "name": "platform",
      "schema": {
        "items": {
          "type": "string"
        },
        "type": "array"
      },
      "style": "form"
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/x-tar": {
          "schema": {
            "format": "binary",
            "type": "string"
          }
        }
      },
      "description": "no error"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "server error"
    }
  },
  "summary": "Export several images",
  "tags": [
    "Image"
  ]
}